
## 1.8.4 [10-15-2024]

* Changes made at 2024.10.14_20:41PM

See merge request itentialopensource/adapters/adapter-gcp_compute!23

---

## 1.8.3 [08-26-2024]

* update dependencies and metadata

See merge request itentialopensource/adapters/adapter-gcp_compute!21

---

## 1.8.2 [08-14-2024]

* Changes made at 2024.08.14_18:58PM

See merge request itentialopensource/adapters/adapter-gcp_compute!20

---

## 1.8.1 [08-07-2024]

* Changes made at 2024.08.06_20:10PM

See merge request itentialopensource/adapters/adapter-gcp_compute!19

---

## 1.8.0 [07-17-2024]

* Minor/2024 auto migration

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!18

---

## 1.7.4 [03-28-2024]

* Changes made at 2024.03.28_13:21PM

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!17

---

## 1.7.3 [03-11-2024]

* Changes made at 2024.03.11_15:34PM

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!16

---

## 1.7.2 [02-28-2024]

* Changes made at 2024.02.28_11:49AM

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!15

---

## 1.7.1 [02-21-2024]

* updates for broker calls

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!14

---

## 1.7.0 [12-14-2023]

* More migration changes

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!13

---

## 1.6.0 [11-06-2023]

* More migration changes

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!13

---

## 1.5.2 [09-18-2023]

* Patch/adapt 2852

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!12

---

## 1.5.1 [09-11-2023]

* more migration & metadata changes

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!11

---

## 1.5.0 [08-16-2023]

* 2023 Adapter Migration

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!10

---

## 1.4.0 [08-11-2023]

* 2023 Adapter Migration

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!10

---

## 1.3.3 [08-01-2023]

* Remove any sensitive data logging

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!8

---

## 1.3.2 [06-22-2023]

* Remove any sensitive data logging

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!8

---

## 1.3.1 [05-09-2023]

* updated adapterBase.js with broker integration bug fixes

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!7

---

## 1.3.0 [02-10-2023]

* Migration to the latest Adapter Foundation

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!6

---

## 1.2.0 [05-18-2022]

* Migration to the latest Adapter Foundation

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!6

---

## 1.1.0 [01-21-2022]

- migration to the latest foundation and broker ready
  - Add some items to .gitignore (e.g. DS_Store) to keep them out of the repos.
  - Changes to the README (some typo fixes - Add how to extend the adapter). Split the README into various markdown files (AUTH, BROKER, CALLS, ENHANCE, PROPERTIES, SUMMARY, SYSTEMINFO, TROUBLESHOOT)
  - Fix the issues with Confluence in the markdowns (Tables, Lists, Links)
  - Add scripts for easier authentication, removing hooks, etc
  - Script changes (install script as well as database changes in other scripts)
  - Double # of path vars on generic call
  - Update versions of foundation (e.g. adapter-utils)
  - Update npm publish so it supports https
  - Update dependencies
  - Add preinstall for minimist
  - Fix new lint issues that came from eslint dependency change
  - Add more thorough Unit tests for standard files (Package, Pronghorn, Properties (Schema and Sample)
  - Add the adapter type in the package.json
  - Add AdapterInfo.js script
  - Add json-query dependency
  - Add the propertiesDecorators.json for product encryption
  - Change the name of internal IAP/Adapter methods to avoid collisions and make more obvious in Workflow - iapRunAdapterBasicGet, iapRunAdapterConnectivity, iapRunAdapterHealthcheck, iapTroubleshootAdapter, iapGetAdapterQueue, iapUnsuspendAdapter, iapSuspendAdapter, iapFindAdapterPath, iapUpdateAdapterConfiguration, iapGetAdapterWorkflowFunctions
  - Add the adapter config in the database support - iapMoveAdapterEntitiesToDB
  - Add standard broker calls - hasEntities, getDevice, getDevicesFiltered, isAlive, getConfig and iapGetDeviceCount
  - Add genericAdapterRequest that does not use the base_path and version so that the path can be unique - genericAdapterRequestNoBasePath
  - Add AdapterInfo.json
  - Add systemName for documentation

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!5

---

## 1.0.1 [12-21-2021]

- Don't call readPropsKeyFile in the constructor; add generateKeyObjFromProps method; modify configureGtoken method to set this.keyObj from keyFile or keyFileContents

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!4

---

## 1.0.0 [07-28-2021]

- Add Firewall Policies calls

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!3

---

## 0.2.1 [03-06-2021]

- Migration to bring up to the latest foundation
  - Change to .eslintignore (adapter_modification directory)
  - Change to README.md (new properties, new scripts, new processes)
  - Changes to adapterBase.js (new methods)
  - Changes to package.json (new scripts, dependencies)
  - Changes to propertiesSchema.json (new properties and changes to existing)
  - Changes to the Unit test
  - Adding several test files, utils files and .generic entity
  - Fix order of scripts and dependencies in package.json
  - Fix order of properties in propertiesSchema.json
  - Update sampleProperties, unit and integration tests to have all new properties.
  - Add all new calls to adapter.js and pronghorn.json
  - Add suspend piece to older methods

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!2

---

## 0.2.0 [02-04-2021]

- Model changed from gcpCompute to gcp_compute to match the repo
- gtoken library used in place of standard adapter-utils authentication (see comment in JIRA)
- Refer to comments in the JIRA ticket regarding setting up a service account and using the keyFile

See merge request itentialopensource/adapters/cloud/adapter-gcp_compute!1

---
